HELP2MAN(1)

NIMI
help2man - luo yksinkertainen man-sivu

KUVAUS
`help2man' generates a man page out of `--help' and `--version' output.

Usage: help2man [OPTION]... EXECUTABLE

-n, --name=STRING
    description for the NAME paragraph

-s, --section=SECTION
    section number for manual page (1, 6, 8)

-m, --manual=TEXT
    name of manual (User Commands, ...)

-S, --source=TEXT
    source of program (FSF, Debian, ...)

-L, --locale=STRING
    select locale (default "C")

-i, --include=FILE
    include material from `FILE'

-I, --opt-include=FILE
    include material from `FILE' if it exists

-o, --output=FILE
    send output to `FILE'

-p, --info-page=TEXT
    name of Texinfo manual

-N, --no-info
    suppress pointer to Texinfo manual

--help
    print this help, then exit

--version
    print version number, then exit

EXECUTABLE should accept `--help' and `--version' options and produce output on stdout although alternatives may be specified using:

-h, --help-option=STRING
    help option string

-v, --version-option=STRING
    version option string

--version-string=STRING
    version string

--no-discard-stderr
    include stderr when parsing option output

SISÄLLYTÄ TIEDOSTOJA
Lisämateriaalia voi sisällyttää luotavaan tulosteeseen valitsimilla ja Muoto on yksinkertainen:
    [kappale]
    teksti
    /hakuehto/
    teksti Kappaleita puhdasta *roff-tekstiä lisätään tulosteeseen joko kun alkaa (kirjainkoko merkitsevä) tai sellaisen kappaleen jälkeen, joka täsmää säännölliseen lausekkeeseen Hakuehdoissa käytetään Perlin säännöllisten lausekkeiden syntaksia, ja niiden perässä voi olla tai muuntimet (katso Rivit ennen ensimmäistä kappaletta tai hakuehtoa, jotka alkavat "-", käsitellään valitsimina. Kaikki muu ohitetaan, joten ne voivat olla käyttäjän kommentteja, RCS-avainsanoja ja muuta sellaista. Kappaleiden tulostusjärjestys on:
    NIMI
    YLEISKATSAUS
    KUVAUS
    VALITSIMET
    ESIMERKKEJÄ
    muut
    TEKIJÄ
    VIRHEISTÄ ILMOITTAMINEN
    TEKIJÄNOIKEUDET
    KATSO MYÖS Kappale tai , joka löytyy sisällytystiedostosta, korvaa muutoin automaattisesti tuotettavan osan (vaikka tämänkin voi korvata -valitsimella tarvittaessa). Muut kappaleet aloittavat automaattisesti tuotetun tulosteen aiemmin mainituille vakiokappaleille, tai ne sisällytetään kohtaan samassa järjestyksessä kuin ne esiintyvät sisällytystiedostossa.

SAATAVUUS
Tuorein versio tästä sovelluksesta on saatavilla verkossa osoitteesta:
    ftp://ftp.gnu.org/gnu/help2man/

TEKIJÄ
Kirjoittanut Brendan O'Dea <bod@debian.org>

VIRHEISTÄ ILMOITTAMINEN
Report bugs to <bug-help2man@gnu.org>.

TEKIJÄNOIKEUDET
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009 Free Software Foundation, Inc. Tämä on vapaa ohjelmist; katsokaa kopiointiehdot lähdekoodista. Takuuta EI OLE; ei edes KAUPALLISESTI HYVÄKSYTTÄVÄSTÄ LAADUSTA tai SOPIVUUDESTA TIETTYYN TARKOITUKSEEN.

KATSO MYÖS
Ohjelman help2man täydellinen dokumentaatio ylläpidetään Texinfo-manuaalissa. Mikäli ohjelmat info ja help2man on täysin asennettu, komennon info help2man

pitäisi antaa täydellinen manuaali luettavaksi.